JavaScript
import { Hyperbrowser } from '@hyperbrowser/sdk';
const client = new Hyperbrowser({ apiKey: 'your-api-key' });
const response = await client.web.crawl.get('job-id', {
page: 0,
batchSize: 10
});from hyperbrowser import Hyperbrowser
from hyperbrowser.models import GetWebCrawlJobParams
client = Hyperbrowser(api_key='your-api-key')
response = client.web.crawl.get('job-id', GetWebCrawlJobParams(
page=0,
batch_size=10
))curl --request GET \
--url https://api.hyperbrowser.ai/api/web/crawl/{id} \
--header 'x-api-key: <api-key>'
{
"jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"error": "<string>",
"totalPages": 1,
"totalPageBatches": 1,
"currentPageBatch": 1,
"batchSize": 2,
"data": [
{
"url": "<string>",
"error": "<string>",
"metadata": {},
"markdown": "<string>",
"html": "<string>",
"links": [
"<string>"
],
"screenshot": "<string>",
"json": {},
"branding": {
"colorScheme": "<string>",
"colors": {},
"fonts": [
{
"family": "<string>",
"role": "<string>"
}
],
"typography": {},
"spacing": {},
"components": {},
"images": {},
"personality": {},
"designSystem": {},
"confidence": {}
}
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}Web API
Get web crawl job results
Retrieves the status and results of a web crawl job. Results are paginated.
GET
/
api
/
web
/
crawl
/
{id}
JavaScript
import { Hyperbrowser } from '@hyperbrowser/sdk';
const client = new Hyperbrowser({ apiKey: 'your-api-key' });
const response = await client.web.crawl.get('job-id', {
page: 0,
batchSize: 10
});from hyperbrowser import Hyperbrowser
from hyperbrowser.models import GetWebCrawlJobParams
client = Hyperbrowser(api_key='your-api-key')
response = client.web.crawl.get('job-id', GetWebCrawlJobParams(
page=0,
batch_size=10
))Authorizations
Path Parameters
Response
Web crawl job details retrieved successfully
Available options:
pending, running, completed, failed, stopped Required range:
x >= 0Required range:
x >= 0Required range:
x >= 0Required range:
x >= 1Show child attributes
Show child attributes
Was this page helpful?
⌘I